按键精灵 : 升级说明
=========================================
通过全球38家杀毒软件最顶级严格检测，无病毒无误报！
http://www.vrbrothers.com/cn/qmacro/viruscheck.htm

8.31.8583版 2011.05.18
-------------------
\ 按键精灵
|-- 新增 支持64位系统下录制功能
|-- 解决 LockMouse鼠标锁定命令会有晃动问题
|-- 修复 不同视图下设置断点没有同步和格式化会消失问题
|-- 修复 调试状态下脚本行内容上按回车会导致错误问题
|-- 修复 多脚本编辑时光标定位不正确问题
|-- 修复 源文件视图下按回车会导致当前行脚本错误问题
|-- 修复 当修改文件名时保存会异常问题
|-- 修复 自动补全异常问题
|-- 优化 命令库“键盘”键盘组合键会出现不正常问题
|-- 优化 命令库“网络”获取网络时间不稳定问题

\ 插件
|-- 修复 Msg插件Tips使用异常问题
|-- 修复 Color插件多点找色命令无法使用问题

\ 网页按键精灵
|-- 解决 Web插件的HtmlInput命令输入无法换行问题

\ 抓点抓色
|-- 解决 设置起点偏移导致抓色不对问题


8.21.8100版 2011.03.10
-------------------
\ 按键精灵
|-- 解决 脚本运行有一定几率无法启动问题
|-- 解决 区域多点找形状命令界面插入命令时异常问题


8.20.7921版 2011.01.27
-------------------
\ 按键精灵
|-- 新增 多文档编辑功能，支持命令库编辑
|-- 新增 保存日志功能LogStart记录日志、LogStop停止记录
|-- 新增 多线程PauseThread、ContinueThread、StopThread命令
|-- 新增 重启脚本RestartScript和退出脚本ExitScript命令
|-- 新增 步过调试功能，支持热键修改
|-- 新增 回车后语法自动补全和行格式化功能
|-- 新增 支持脚本文件名修改功能
|-- 新增 命令库“API”调用API命令测试功能
|-- 新增 source目录下易语言插件制作模版
|-- 解决 命令库“算法”角度计算函数计算角度值不准确问题
|-- 优化 精确录制鼠标单击
|-- 优化 自动缩进功能效率

\ 插件
|-- 新增 支持易语言DLL插件的调用
|-- 新增 Color插件GetPixelColor得到指定点颜色命令
|-- 新增 插件帮助说明支持MHT格式
|-- 优化 内存插件查找效率


8.11.7459版 2010.11.10
-------------------
\ 按键精灵
|-- 解决 命令库调用插件命令时，生成小精灵没有打包插件问题
|-- 解决 表达式计算环境变量值不准确问题
|-- 解决 子程序名与命令库命令同名时提示“名称重定义”问题
|-- 解决 普通视图下支持翻译with语句

\ 插件
|-- 修复 Msg插件Tips命令在WIN7下显示的提示不正常问题

\ 网页按键精灵
|-- 新增 Web插件的HtmlGet命令可获取指定元素位置坐标
|-- 解决 Web插件的HtmlInput命令无法输入斜杠“\”问题


8.10.7359版 2010.10.26
-------------------
\ 按键精灵
|-- 新增 支持直接调用Windows API（测试）
|-- 新增 设置编辑器普通视图下语法高亮颜色
|-- 新增 脚本支持换行连接符“_”
|-- 新增 附件内容支持手动释放和BMP图片预览功能
|-- 新增 制作小精灵时可记录多个使用说明
|-- 新增 命令库“文件”插入、替换文本内容和遍历文件名函数
|-- 新增 命令库“算法”洗牌、角度计算、判断是否在一条直线上
|-- 新增 命令库“系统”结束进程函数
|-- 新增 托盘图标提示脚本暂停状态为“*”
|-- 解决 OnScriptLoad事件里使用释放插件无法替换问题
|-- 解决 释放附件插件无法覆盖的问题
|-- 解决 超级模拟鼠标无法双击问题
|-- 解决 源文件下脚本命令帮助提示在win7系统下显示不全问题
|-- 解决 导入脚本不能导入到当前分类下的问题
|-- 解决 脚本文件名带有"."号，导入后与原文件名不一致问题
|-- 解决 批注功能对中文名只能批注一个的问题
|-- 解决 单步调试时会自动激活调试窗口问题
|-- 解决 与多线程同时调用一个插件会提示缺少对象问题
|-- 优化 多线程结束后执行OnScriptExit事件过程问题
|-- 优化 编译生成小精灵新增进度条和制作比较慢问题
|-- 优化 自动补全功能
|-- 优化 调试记录执行次序时，按左右键不移动次序焦点问题
|-- 优化 命令库“网络”获得网页源文件和获得外网IP地址函数
|-- 优化 错误提示信息会被其他信息覆盖的问题
|-- 优化 命令库无法多次调用另一命令库函数的问题

\ 插件
|-- 新增 Msg插件Tips气泡提示命令
|-- 修复 Sys插件SetSc命令在windows2003下无法使用问题
|-- 修复 Memory插件ReadBinary读取的数据出现错误问题
|-- 修复 Bkgnd插件LeftUp命令不会弹起的问题

\ 小精灵
|-- 解决 在不打包插件情况下，自定义背景图不能正常显示的问题

\ 抓点抓色
|-- 新增 多点抓色辅助功能
|-- 修复 句柄树无法最大化问题
|-- 修复 全屏后有边框问题，以及截图不准确问题
|-- 修复 获取部分鼠标特征码不正确问题

\ 网页按键精灵
|-- 解决 地址栏限制长度输入问题
|-- 解决 部分页面不能打开的问题


8.00.6874版 2010.05.25
-------------------
\ 最大亮点
|-- 正式推出自主研发的Q语言脚本引擎！

\ 脚本引擎
|-- 优化 脚本执行速度大大加快
|-- 新增 变量名、过程名和函数名全面支持中文
|-- 新增 支持旧版脚本一键升级、智能纠错
|-- 新增 脚本后缀名进行调整，具体如下：
|   .Q  ：按键精灵8的脚本源码
|   .qml：命令库文件
|-- 新增 脚本库功能，多个脚本可复用脚本库的子程序
|   具体使用方法参见lib目录下的说明
|-- 优化 脚本执行的相对路径改为EXE所在目录
|-- 新增 Function(函数)功能，支持传参数和返回值
|-- 优化 支持Select Case,For...Next等绝大多数VBS命令
|-- 新增 键盘命令支持字符串参数，例如“Keypress "A",1”
|-- 解决 插件调用一段时间会失效的问题
|-- 解决 脚本使用超级模拟无法按键盘WIN键问题

\ 主界面
|-- 新增 新手上路教学帮助，20秒学会基本操作
|-- 新增 “导入工具”支持导入7.x版脚本
|-- 新增 “自动保存”脚本和“灾难恢复”功能
|-- 新增 对比脚本功能，选中2个脚本点鼠标右键即可对比区别
|-- 调整 存放脚本的文件夹改名为QMScript

\ 编辑器
|-- 新增 “智能纠错”功能，自动纠正脚本错误
|-- 优化 “自动缩进”功能（热键：F4）
|-- 优化 调试功能加入热键支持（热键：F5）
|-- 调整 编辑器集成了主界面的所有菜单功能
|-- 新增 支持设置源码视图的字体(设置->脚本编辑)
|-- 新增 源文件视图下右键菜单新增“批注”功能
|-- 新增 支持在一行脚本末尾用 // 命令添加注释
|-- 新增 源文件视图下按Shift+鼠标左键选择多行脚本内容
|-- 新增 源文件视图下右键菜单增加全部折叠和展开功能
|-- 调整 普通试图下按【Ctrl+单击】跳转到相应目标
|-- 优化 编辑器会自动记忆用户上一次关闭时的窗口状态
|-- 优化 编辑器“全部命令”里加入搜索命令功能
|-- 解决 编辑脚本时清空临时文件夹会丢失附件的问题
|-- 解决 设置硬件模式后，在调试下按热键无法启动的问题

\ 小精灵
|-- 新增 会员制作小精灵新增“去广告”功能
|-- 新增 制作小精灵支持“方案”功能，多套设置一键切换
|-- 新增 制作小精灵时自动打包所用到的插件
|-- 新增 制作小精灵时自动保存使用说明内容
|-- 新增 界面增加启动、暂停/继续和中止按钮
|-- 解决 运行时出现126错误问题

\ 插件
|-- 新增 插件命令全面支持中文翻译
|-- 新增 Color插件中FindMutiColor命令中加入反色判断功能
|-- 修复 Color插件中FindMutiColor命令出现异常失效的BUG
|-- 修复 Bkgnd插件FindColor命令返回值错误的问题 
|-- 修复 File插件WriteFileEx命令在文件不存在使用会异常问题
|   修复 File插件SetData命令处理结果错误的问题
|   修复 File插件ReadFileEx命令返回值错误的问题
|-- 修复 Window插件GetWindowRect默认返回空值的问题
|   修复 Window插件GetClientRect默认返回空值的问题
|-- 修复 Pic插件中PrintScreen命令长时间使用出现内存不足
|-- 修复 Media插件Play命令在Win7下使用出现异常问题
|-- 修复 ReadIni命令不能读取超长字符串的BUG

\ WQM网页按键精灵
|-- 解决 WQM录制的脚本支持8.x语法
|-- 解决 部分游戏中会出现非法操作的问题

\ 抓点抓色
|-- 新增 句柄树搜索功能
|-- 新增 调用Windows自带画图工具编辑图片的功能
|-- 解决 WIN7和VISTA下运行比较卡的问题
|-- 解决 勾上指定句柄截图导致内存不断增加问题

\ 其他
|-- 新增 错误处理查询和在线提交功能


7.31.6258版 2010.03.23
-------------------
\ 按键精灵
|-- 优化 OCX自定义界面的调用方式
|-- 优化 异常处理模块有时无法显示的问题
|-- 解决 编辑器界面无法最大化的问题
|-- 解决 Bkgnd插件KeyPress命令部分游戏失效的问题

\ 网页按键精灵
|-- 解决 部分游戏中会出现非法操作的问题


7.30.6163版 2010.03.10
-------------------
\ 按键精灵
|-- 解决 部分插件调用一段时间会失效的问题
|-- 优化 异常处理模块新增在线提交功能

\ 插件
|-- 修复 Window插件GetWindowRect默认返回空值的问题
         Window插件GetClientRect默认返回空值的问题
|-- 修复 File插件SetData命令处理结果错误的问题
         File插件ReadFileEx命令返回值错误的问题
|-- 修复 Bkgnd插件FindColor命令返回值错误的问题

\ 小精灵
|-- 修复 修改用户自定义设置内容偶尔失效问题

\ 抓点抓色工具
|-- 解决 抓颜色不准确的问题


7.20.5292版 2009.11.12
-------------------
\ 按键精灵改进
|-- 新增 插件和界面源码(VC/VB)，在按键精灵目录下的Source目录
|-- 解决 颜色/图形命令和插件命令面板按回车键或Esc键面板消失问题
|-- 优化 部分DLL文件加入版本信息，避免杀毒软件误判
|-- 优化 注册码激活时的错误提示信息
|-- 解决 设置为硬件热键模式时，选择多个脚本会蓝屏的BUG
|-- 解决 OnScriptLoad子过程无法释放文件的BUG
|-- 优化 自动备份的脚本后缀改为.bak，避免脚本冲突

\ 网页按键精灵改进
|-- 修复 打开部分标签出现乱码的BUG
|-- 修复 部分页面打开出现禁用Active控件的提示
|-- 优化 取消插件Save命令的下载完成提示，增加下载是否成功返回值

\ 插件功能新增与Bug修复
|-- 优化 发布091026版VC插件模板，解决可能阻塞主线程的问题
|-- 解决 Memory插件中ReadString命令不能正常读取字符串的问题
         FindBinary、ReadBinary命令不能正常使用的问题
|-- 优化 Web插件中Save命令增加返回值

\ 抓点抓色工具的优化和修正
|-- 新增 放大镜和图像框增加“定位起始坐标功能”
|-- 解决 鼠标在图像框上显示相对位置坐标
|-- 解决 图像框区域截图后保存的图片失真问题
|-- 解决 双击窗口标题栏最大化和还原时界面错位问题


7.12.5013版 2009.09.27
-------------------
|-- 优化 支持最新版NP反外挂系统下的鼠标键盘录制功能
|-- 新增 Msg插件加入SendSMS命令，支持发送手机短信
|-- 优化 按键抓抓的多个功能
|-- 解决 按键精灵在系统目录下多次释放VBS模块文件的问题
|-- 优化 超过5000行的脚本编辑效率有所提升

\ 网页按键精灵改进
|-- 修复 部分部分JS窗口不能弹出的问题
|-- 优化 支持分析多重Frame/IFrame页面
|-- 解决 工具栏按钮图片有时无法显示的问题


7.11.4738版 2009.08.24
-------------------
\ 神盾功能改良，兼容最新版x-trap反外挂系统

\ 抓点抓色程序改进
|--优化 抓点抓色工具改名为"按键抓抓"
|--新增 "无限截图、抓窗口句柄"等多个功能

\ 插件功能新增与Bug修复
|- 新增 Office插件打开、关闭EXCEL文档命令
        优化读写XLS文件的速度
|- 解决 Memory插件TerminateProc命令失效的问题
|- 解决 Pic插件PrintScreen命令4个坐标都为0时出现异常的问题
|- 解决 File插件DeleteFolder命令不能删除非空文件夹的问题
|- 解决 Bkgnd插件SendString命令发送字符串会乱序的问题
        KeyPress、KeyDown、KeyUp命令发送消息参数设置错误的错误
        KeyPress命令在Win7和Vista下会导致输入对象无响应的问题
|- 解决 Window插件Close命令会关闭主程序BUG
|- 优化 Color插件ColorToHSL命令的转换公式
        修复了转换结果错误的BUG
|- 优化 Sys插件GetOSType命令，增加Win7在内的多种操作系统返回值

\ 网页按键精灵WQM改进
|- 修复 部分页面不能提交的BUG
|- 修复 录制鼠标操作坐标错误BUG
|- 优化 某些情况下浏览器会失效的问题
|- 移除 网页缩放功能,只留全屏显示
|- 新增 页面内容控制功能,用户可以:
	1)禁止下载图片
	2)禁止播放声音
	3)禁止运行ActiveX控件
|- 新增 模式设置功能,用户可以选择浏览模式、开发模式和运行模式
|- 新增 代理模式设置功能
|- 新增 GetDialogContent()命令，获取最后一个被关闭对话框中的文本
|- 新增 SendString()命令，采用模拟方式在焦点位置发送文本字符串

\ 其他改进
|- 新增 设置是否自动保存.style文件
|- 解决 编辑器源文件状态下点击调试后，修改的脚本不会生效的BUG


7.10.4500版 2009.07.20
-------------------
|- 新增 网页按键精灵(WQM)模块，随心所欲控制网页
|- 优化 神盾功能
|- 优化 硬件模拟提速
|- 优化 支持"宽屏自定义界面"，最大支持600*240像素
|- 优化 打包小精灵支持的最大脚本数从20个扩充到80个
|- 解决 商业小精灵隐藏设置面板和神盾功能冲突的问题
|- 解决 繁体版鼠标面板错位问题
|- 解决 文件(File)插件里的ReadLine命令的读取错误


7.02.4325版 2009.06.01
-------------------
|- 解决 主界面鼠标右键选择备份所有脚本的功能失效问题
|- 解决 会员激活功能不稳定的问题
|- 优化 神盾功能
|- 新增 商业小精灵加入在线BANNER功能
|- 优化 商业小精灵独立界面版支持最小化到托盘


7.01.4239版 2009.05.08
-------------------
|- 解决 内存插件面板的显示问题
|- 解决 颜色插件里的找形状功能会弹出调试信息的问题
|- 解决 窗口插件里的IsWindow命令的返回值和6.x版不兼容的问题
|- 解决 抓点功能的一些小BUG
|- 解决 多媒体插件里的播放音频功能无法播放MID文件的问题
|- 新增 在全部命令的命令节点上双击鼠标左键，可直接插入命令
|- 优化 能自动备份最后10次编辑的脚本，再也不怕掉电丢源码
|- 解决 超级模拟按键弹起命令失效的问题
|- 解决 免费小精灵无法保存设置信息的问题
|- 解决 小精灵标题出现字符【】会错乱的问题
|- 解决 图像插件里保存的BMP图片在找图命令会失效的问题


7.00.4148版 2009.04.16
-------------------

\ 软件兼容性
|-- 优化神盾功能，与多款网络游戏的兼容性更佳，支持最新NP系统
    特别提醒：神盾功能暂时只支持Windows XP系统

\ 命令和功能
|-- 命令划分为基本命令、标准VBS命令和插件命令，分类更加清晰
|-- 新增10个命令分类，几十个新的命令，现有：键盘、鼠标、控制、
    颜色、图形、后台、控制台、加解密、文件、多媒体、内存/进程、
    信息提示、网络、Office办公文档、系统、网页等分类
|-- 新增SetSimMode命令，可控制键盘鼠标的模拟方式
|-- 解决OnScriptLoad和OnScriptExit会同时加载的问题

\ 命令帮助与教程
|-- 新增命令在线帮助系统，为几百个命令提供了详细的说明和例子
|-- 新增知识库系统，整理了几百篇软件教程

\ 脚本编辑
|-- 为所有命令制作了操作界面，实现包括插件在内的全界面操作
|-- 增加脚本调试中记录脚本执行次序的功能
|-- 增强了抓点抓色程序，支持置顶、最小化
|-- 解决EndScript命令在代码中间使用的缩进问题
|-- 修正附件里的图标显示问题
|-- 支持超过1000个附件的一次性添加
|-- 默认自动将编辑的脚本备份为.bak后缀的文件，保护您宝贵的源码

\ 界面UI和软件授权
|-- 界面风格重新设计，蓝色UI更加大气
|-- 正式推出免费版向个人用户提供免费授权
|-- 部分服务性质的会员功能按时间收费

\ 小精灵
|-- 免费版支持换肤在内的多种高级功能
|-- 启动后不会释放更多文件，更加绿色

\ 其他
|-- 优化软件代码，减少病毒误报，通过40家杀毒软件检测无毒，无误报
|-- 精简模块文件数量，安装包体积更小，更加绿色
|-- 集成简单游脚本加密功能，选中脚本点右键即可看到此功能


特别提示
-------------------
如需查看按键精灵更详细的升级情况，请访问按键精灵官方网站
www.ajjl.cn
